## Общая структура I2C драйвера

```
    ┌───────────────────────────┐
    │                           │
    │         I2C шина          │
    │                           │
    └─────────────▴─────────────┘
                  │
    ┌─────────────┴─────────────┐
    │                           │
    │    I2C-драйвер (i2c-*)    │
    │                           │
    └───────────────────────────┘
                  ▲
    ┌─────────────┴─────────────┐
    │                           │
    │   Клиентское приложение   │
    │                           │
    └───────────────────────────┘
```



## Дерево исходных кодов

```
|- i2c/
|  `- vortex/           - Исходный код I2C-драйвера для vortex86
|     |- Makefile       - Правила сборки дерева исходников
|     `- common.mk      - Параметры сборки драйверов
|
`- Makefile             - Правила сборки дерева исходников
```



## Сборка драйвера

- Установить и настроить [комплект разработчика](https://help.kpda.ru/neutrino/2020/help/topic/ru.kpda.doc.dev_tools_ru/html/devkit/devkit.html) для [ЗОСРВ "Нейтрино" редакции 2020](https://help.kpda.ru/neutrino/2020/help/index.jsp).
- Выполнить команду:

```
make
```



## Запуск драйвера

```
i2c-* [параметры] &
```


